#ifndef _MAKEVOL_
#define _MAKEVOL_
/********************************************************************/
/* Header file for makevol.c                                        */
/* Created 4-10-92 by Edward Beshore                                */
/*                                                                  */
/*      Unpublished Confidential Information of Hewlett-Packard     */
/*      Company. Do not disclose.  Copyright (c) Hewlett-Packard    */
/*      Company 1996. All rights reserved                           */
/*                                                                  */
/* The contents of this software are proprietary and confidential   */
/* the Hewlett- Packard Company, and are limited in distribution to */
/* those with a direct need to know.  Individuals having access to  */
/* this software are responsible for maintaining the                */
/* confidentiality of the content and for keeping the software      */
/* secure when not in use.  Transfer to any party is strictly       */
/* forbidden other than as expressly permitted in writing by        */
/* Hewlett-Packard Company.  Unauthorized transfer to or possession */
/* by any unauthorized party may be a criminal offense.             */
/*                                                                  */
/*                   RESTRICTED RIGHTS LEGEND                       */
/*                                                                  */
/*      Use,  duplication,  or disclosure by the                    */
/*      U. S. Government is subject to restrictions as set forth    */
/*      in subparagraph (c) (1) (ii) in the Rights in Technical     */
/*      Data and Computer Software clause in DFARS 252.227-7013     */
/*      or any other successor clause.                              */
/*                                                                  */
/*                       HEWLETT-PACKARD COMPANY                    */
/*                       3000 Hanover St.                           */
/*                       Palo Alto, CA  94304 U.S.A.                */
/*                                                                  */
/*      Rights for non-DOD U.S. Government Departments and Agencies */
/*      are as set forth in FAR 52.227-19 (c) (1,2) or any other    */
/*      successor clause.                                           */
/*                                                                  */
/*                                                                  */
/* Modification History                                             */
/*    Created                           Apr1092  ECB                */
/*    Teased out struct into vol.def    Jun1592  ECB                */
/********************************************************************/
/*
 $Source: /projects/HMS/nsr/udfOld/src/nsrHdrs/makevol.h,v $
 $Revision: 1.4 $       $Author: hmgr $
 $State: Exp $          $Locker:  $
 $Date: 96/05/30 14:53:15 $
 *
 ********************************************************************/


#define DEFAULTSECSIZE 512u
#define DEFAULTSECTORS 2048u
#define DEFAULTPAT 0x1234ABCDul

#define TRUE 1
#define FALSE 0

/* status values and message numbers */

#define SUCCESS 0
#define BADSWITCHVAL 1
#define BADSWITCHCHAR 2
#define BADFILENAME 3
#define BADSECTORSIZE 4
#define BADNUMSECTORS 5
#define BADPATTERN 6
#define HELPLINE 7
#define BADVOLNAME 8
#define BADCHARACTERS 9
#define CANTDELETE 10
#define WONTDELETE 11
#define COULDNTOPEN 12
#define COULDNTCREATE 13
#define DELETED 14
#define OVERWRITEREQUEST 15
#define NEWLINE 16
                                        
#endif /* _MAKEVOL_ */
