#ifndef _OVNDOPSH_
#define _OVNDOPSH_
/********************************************************************/
/*  o_vndops.h - includes needed for vnode routines                 */
/*                                                                  */
/*      Unpublished Confidential Information of Hewlett-Packard     */
/*      Company. Do not disclose.  Copyright (c) Hewlett-Packard    */
/*      Company 1996. All rights reserved                           */
/*                                                                  */
/* The contents of this software are proprietary and confidential   */
/* the Hewlett- Packard Company, and are limited in distribution to */
/* those with a direct need to know.  Individuals having access to  */
/* this software are responsible for maintaining the                */
/* confidentiality of the content and for keeping the software      */
/* secure when not in use.  Transfer to any party is strictly       */
/* forbidden other than as expressly permitted in writing by        */
/* Hewlett-Packard Company.  Unauthorized transfer to or possession */
/* by any unauthorized party may be a criminal offense.             */
/*                                                                  */
/*                   RESTRICTED RIGHTS LEGEND                       */
/*                                                                  */
/*      Use,  duplication,  or disclosure by the                    */
/*      U. S. Government is subject to restrictions as set forth    */
/*      in subparagraph (c) (1) (ii) in the Rights in Technical     */
/*      Data and Computer Software clause in DFARS 252.227-7013     */
/*      or any other successor clause.                              */
/*                                                                  */
/*                       HEWLETT-PACKARD COMPANY                    */
/*                       3000 Hanover St.                           */
/*                       Palo Alto, CA  94304 U.S.A.                */
/*                                                                  */
/*      Rights for non-DOD U.S. Government Departments and Agencies */
/*      are as set forth in FAR 52.227-19 (c) (1,2) or any other    */
/*      successor clause.                                           */
/*                                                                  */
/********************************************************************/
/*
 $Source: /projects/HMS/nsr/udfOld/src/nsrHdrs/o_vndops.h,v $
 $Revision: 1.7 $       $Author: hmgr $
 $State: Exp $          $Locker:  $
 $Date: 96/05/30 14:52:56 $
 ********************************************************************/


#if HP
#include <sys/param.h>
#include <sys/user.h>
#include <sys/buf.h>
#include <ndir.h>
#include <sys/stat.h>
#include "vfs.h"
#include "vnode.h"
#include <sys/proc.h>
#include <sys/file.h>
#include <sys/uio.h>
#include <sys/conf.h>
/* #include <sys/cmap.h> */
#include <sys/time.h>
#endif  /* HP */

#ifdef NSR_DEMON
#include <sys/param.h>
#include <sys/user.h>
#include <sys/buf.h>
#include "dcp_types.h"
#include "dcp_dir.h"
#include <sys/stat.h>
#include "vfs.h"
#include "vnode.h"
#include <sys/proc.h>
#include <sys/file.h>
#include <sys/uio.h>
#include <sys/conf.h>
/* #include <sys/cmap.h> */
#include <sys/time.h>
#endif  /* NSR_DEMON */

#if SUN
#include "../h/param.h"
#include "../h/user.h"
#include "../h/buf.h"
#include "../h/dir.h"
#include "../h/stat.h"
#include "../h/vfs.h"
#include "../h/vnode.h"
#include "../h/proc.h"
#include "../h/file.h"
#include "../h/uio.h"
#include "../h/conf.h"
#include "../h/kernel.h"
#include "../h/cmap.h"
#include "../h/time.h"

#endif

#if (MACINTOSH | IBM)

#include "types.h"
#include "errno.h"
#include "time.h"
#include "dir.h"
#include "vfs.h"
#include "vnode.h"
#include "uio.h"
#define NULL 0
#define MIN(a,b) ((a) < (b) ? (a)  : (b))

#endif


#endif /* _OVNDOPSH_ */
