#ifndef NSR_DEV_H
#define NSR_DEV_H
/********************************************************************/
/*  dev.h - Definitions related to the device.                      */
/*                                                                  */
/*      Unpublished Confidential Information of Hewlett-Packard     */
/*      Company. Do not disclose.  Copyright (c) Hewlett-Packard    */
/*      Company 1996. All rights reserved                           */
/*                                                                  */
/* The contents of this software are proprietary and confidential   */
/* the Hewlett- Packard Company, and are limited in distribution to */
/* those with a direct need to know.  Individuals having access to  */
/* this software are responsible for maintaining the                */
/* confidentiality of the content and for keeping the software      */
/* secure when not in use.  Transfer to any party is strictly       */
/* forbidden other than as expressly permitted in writing by        */
/* Hewlett-Packard Company.  Unauthorized transfer to or possession */
/* by any unauthorized party may be a criminal offense.             */
/*                                                                  */
/*                   RESTRICTED RIGHTS LEGEND                       */
/*                                                                  */
/*      Use,  duplication,  or disclosure by the                    */
/*      U. S. Government is subject to restrictions as set forth    */
/*      in subparagraph (c) (1) (ii) in the Rights in Technical     */
/*      Data and Computer Software clause in DFARS 252.227-7013     */
/*      or any other successor clause.                              */
/*                                                                  */
/*                       HEWLETT-PACKARD COMPANY                    */
/*                       3000 Hanover St.                           */
/*                       Palo Alto, CA  94304 U.S.A.                */
/*                                                                  */
/*      Rights for non-DOD U.S. Government Departments and Agencies */
/*      are as set forth in FAR 52.227-19 (c) (1,2) or any other    */
/*      successor clause.                                           */
/*                                                                  */
/********************************************************************/
/*
 $Source: /projects/HMS/nsr/udfOld/src/nsrHdrs/dev.h,v $
 $Revision: 1.4 $       $Author: hmgr $
 $State: Exp $          $Locker:  $
 $Date: 96/05/30 14:53:09 $
 *
 ********************************************************************/


extern struct cdevsw cdevsw[];
extern struct bdevsw bdevsw[];

/********************* from file /usr/include/sys/mknod.h **************/
#define MAKEDEV(x,y)    (dev_t)(((x)<<24) | (y & 0xffffff))
#define MAJOR(x)        (long)((unsigned)(x)>>24)
#define MINOR(x)        (long)((x)&0xffffff)
#define SCSIID(x)       (char)(((x)>>8)&0xff)
#define DEVFROMID(x)    MAKEDEV(0,(long)(x)<<8)

#endif /* DEV_H */
